DefaultWHNManagerProxy (WHN Manager CL 1.0.0-SNAPSHOT API)
Date: 2015-03-31

org.gcube.common.vremanagement.whnmanager.client.proxies

## Class DefaultWHNManagerProxy

- java.lang.Object
- - org.gcube.common.vremanagement.whnmanager.client.proxies.DefaultWHNManagerProxy

- All Implemented Interfaces:
    WHNManagerProxy, org.gcube.resourcemanagement.whnmanager.api.WhnManager

      public class DefaultWHNManagerProxy
      extends Object
      implements WHNManagerProxy

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.resourcemanagement.whnmanager.api.WhnManager

      `SERVICE_NAME, TNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWHNManagerProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.resourcemanagement.whnmanager.api.WhnManager> config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addScope(org.gcube.resourcemanagement.whnmanager.api.types.AddScopeInputParams params)`
    `boolean` | `removeScope(String identifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultWHNManagerProxy

          public DefaultWHNManagerProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.resourcemanagement.whnmanager.api.WhnManager> config)

  - ### Method Detail

    - #### removeScope

          public boolean removeScope(String identifier)
                              throws org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException

      Specified by:
        `removeScope` in interface `org.gcube.resourcemanagement.whnmanager.api.WhnManager`
      Throws:
        `org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException`

    - #### addScope

          public boolean addScope(org.gcube.resourcemanagement.whnmanager.api.types.AddScopeInputParams params)
                           throws org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException

      Specified by:
        `addScope` in interface `org.gcube.resourcemanagement.whnmanager.api.WhnManager`
      Throws:
        `org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException`

Copyright © 2015. All Rights Reserved.